CREATE TABLE IF NOT EXISTS `tb_virtual_file_bean` (
`id` TEXT NOT NULL,
`name` TEXT,
`type` INTEGER NOT NULL DEFAULT 0,
`createGroupType` INTEGER NOT NULL DEFAULT 0,
`createTime` INTEGER NOT NULL DEFAULT 0,
`modifyTime` INTEGER NOT NULL DEFAULT 0,
`userId` TEXT,
`status` INTEGER NOT NULL DEFAULT 0,
`parentId` TEXT,
`cloudId` TEXT,
`groupId` TEXT,
PRIMARY KEY(`id`)
);

CREATE TABLE IF NOT EXISTS `tb_image_bean` (
`id` TEXT NOT NULL,
`groupBeanId` TEXT,
`cloudId` TEXT,
`originCloudId` TEXT,
`originPath` TEXT,
`editCloudId` TEXT,
`editPath` TEXT,
`thumbnailCloudId` TEXT,
`thumbnailPath` TEXT,
`attrProfile` TEXT,
`flags` INTEGER NOT NULL DEFAULT 0,
PRIMARY KEY(`id`)
);

CREATE TABLE IF NOT EXISTS `tb_group_bean` (
`id` TEXT NOT NULL,
`name` TEXT,
`cloudId` TEXT,
`groupId` TEXT,
PRIMARY KEY(`id`)
);
INSERT OR IGNORE INTO tb_image_bean(id, cloudId, originCloudId, originPath, editCloudId, editPath, thumbnailCloudId, thumbnailPath, attrProfile, groupBeanId)
SELECT sb.id, sb.cloudFileid, sb.originalPicFileid, sb.originalPath, sb.editPicFileid, sb.editPath, sb.thumbnailPicFileid, sb.thumbnailPath, '{"mode": ' || sb.mode || ',"jsonShape":"' || REPLACE(sb.jsonShape, '"', '\"') || '"}', gsb.id
FROM tb_scan_bean sb
LEFT JOIN tb_group_scan_bean gsb ON gsb.cloudid=sb.groupid GROUP BY sb.id;

INSERT OR IGNORE INTO tb_group_bean(id, name, cloudId, groupId)
SELECT id, name, CASE WHEN cloudid LIKE 'group_id_%' THEN NULL else cloudid END, groupId FROM tb_group_scan_bean;

INSERT OR IGNORE INTO tb_virtual_file_bean(id, name, type, createTime, modifyTime, userId, parentId, cloudId, status)
SELECT sb.id, sb.name, 2, sb.createTime, sb.mtime, gsb.userId, gsb.id, sb.cloudFileid,
CASE WHEN (ifnull(cloudFileid, '') = '' OR  ifnull(editPicFileid, '') = '' OR ifnull(originalPicFileid, '') = '' OR ifnull(thumbnailPicFileid, '') = '') THEN 1 ELSE 3 END
FROM tb_scan_bean sb LEFT JOIN tb_group_scan_bean gsb ON gsb.cloudid = sb.groupid GROUP BY sb.id;

INSERT OR IGNORE INTO tb_virtual_file_bean(id, name, type, createTime, modifyTime, userId, cloudId, groupId, status)
SELECT id, substr(name, 0, instr(name, '_')), 1, createTime, mtime, userId,
CASE WHEN cloudid LIKE 'group_id_%' THEN NULL else cloudid END, groupid,
CASE WHEN (ifnull(cloudid, '') = '' OR ifnull(groupid, '') = '') THEN 1 ELSE 3 END
FROM tb_group_scan_bean;

DROP TABLE tb_scan_bean;
DROP TABLE tb_group_scan_bean;